BOWImgDescriptorExtractor (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.features2d

## Class BOWImgDescriptorExtractor

- java.lang.Object
- - org.opencv.features2d.BOWImgDescriptorExtractor

-     public class BOWImgDescriptorExtractor
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BOWImgDescriptorExtractor(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BOWImgDescriptorExtractor` | `__fromPtr__(long addr)`
    `void` | `compute(Mat image, MatOfKeyPoint keypoints, Mat imgDescriptor)`
    `int` | `descriptorSize()`
    `int` | `descriptorType()`
    `protected void` | `finalize()`
    `long` | `getNativeObjAddr()`
    `Mat` | `getVocabulary()`
    `void` | `setVocabulary(Mat vocabulary)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### BOWImgDescriptorExtractor

          protected BOWImgDescriptorExtractor(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static BOWImgDescriptorExtractor __fromPtr__(long addr)

    - #### getVocabulary

          public Mat getVocabulary()

    - #### descriptorSize

          public int descriptorSize()

    - #### descriptorType

          public int descriptorType()

    - #### compute

          public void compute(Mat image,
                              MatOfKeyPoint keypoints,
                              Mat imgDescriptor)

    - #### setVocabulary

          public void setVocabulary(Mat vocabulary)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown